cURL
curl -X POST "https://api.fitsociety.io/public/v1/bookings" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({clientId: '<string>'})
};
fetch('https://api.fitsociety.io/public/v1/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/bookings"
payload = { "clientId": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"booking": {
"bookingId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"attendanceStatus": "active",
"paymentMethod": "string",
"paymentProcessingStatus": "active",
"usedCredits": 1,
"createdByType": "string",
"isRecurringInstance": true,
"recurringBookingId": "66f7b8b1e13c8d25f4d3d90a",
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"event": {
"eventId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name",
"startAt": "2026-07-14T10:00:00.000Z",
"endAt": "2026-07-14T10:00:00.000Z",
"instanceDate": "2026-07-14T10:00:00.000Z"
}
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Bookings
Create booking
Requires bookings:write. Accepts either an availabilityToken from GET /public/v1/availability or direct calendarEventId/instanceDate fields. Availability-token bookings are revalidated live before creation.
POST
/
public
/
v1
/
bookings
cURL
curl -X POST "https://api.fitsociety.io/public/v1/bookings" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({clientId: '<string>'})
};
fetch('https://api.fitsociety.io/public/v1/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/bookings"
payload = { "clientId": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"booking": {
"bookingId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"attendanceStatus": "active",
"paymentMethod": "string",
"paymentProcessingStatus": "active",
"usedCredits": 1,
"createdByType": "string",
"isRecurringInstance": true,
"recurringBookingId": "66f7b8b1e13c8d25f4d3d90a",
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"event": {
"eventId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name",
"startAt": "2026-07-14T10:00:00.000Z",
"endAt": "2026-07-14T10:00:00.000Z",
"instanceDate": "2026-07-14T10:00:00.000Z"
}
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Body
application/json